NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Die::LineupBuilder Class Reference

Represents a Lineup feature builder
To create a new instance of this class, use NXOpen::Die::DieCollection::Lineup

Created in NX4.0.0. More...

Inheritance diagram for NXOpen::Die::LineupBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::Vector3d FlowDirection ()
 Returns the flow direction of the lineup
Created in NX7.5.0. More...
 
std::vector< NXStringGetDetails ()
 Gets the detailed description of the lineup. More...
 
std::vector< NXOpen::Body * > GetProductBodies ()
 Gets the product sheet bodies of the lineup. More...
 
NXOpen::Point3d Origin ()
 Returns the origin of the lineup
Created in NX4.0.0. More...
 
NXOpen::Vector3d PressDirection ()
 Returns the press direction of the lineup
Created in NX7.5.0. More...
 
void SetDetails (std::vector< NXString > &strings)
 Sets the detailed description of the lineup
Created in NX4.0.0. More...
 
void SetFlowDirection (const NXOpen::Vector3d &flowDirection)
 Sets the flow direction of the lineup
Created in NX7.5.0. More...
 
void SetOrigin (const NXOpen::Point3d &origin)
 Sets the origin of the lineup
Created in NX4.0.0. More...
 
void SetPressDirection (const NXOpen::Vector3d &pressDirection)
 Sets the press direction of the lineup
Created in NX7.5.0. More...
 
void SetProductBodies (const std::vector< NXOpen::Body * > &objects)
 Sets the product sheet bodies of the lineup
Created in NX4.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Lineup feature builder
To create a new instance of this class, use NXOpen::Die::DieCollection::Lineup

Created in NX4.0.0.


Member Function Documentation

NXOpen::Vector3d NXOpen::Die::LineupBuilder::FlowDirection ( )

Returns the flow direction of the lineup
Created in NX7.5.0.



License requirements : die_engineering ("DIE ENGINEERING")

std::vector<NXString> NXOpen::Die::LineupBuilder::GetDetails ( )

Gets the detailed description of the lineup.

Returns
detail strings
Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")
std::vector<NXOpen::Body *> NXOpen::Die::LineupBuilder::GetProductBodies ( )

Gets the product sheet bodies of the lineup.

Returns

Created in NX4.0.0.

License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::Point3d NXOpen::Die::LineupBuilder::Origin ( )

Returns the origin of the lineup
Created in NX4.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Vector3d NXOpen::Die::LineupBuilder::PressDirection ( )

Returns the press direction of the lineup
Created in NX7.5.0.



License requirements : die_engineering ("DIE ENGINEERING")

void NXOpen::Die::LineupBuilder::SetDetails ( std::vector< NXString > &  strings)

Sets the detailed description of the lineup
Created in NX4.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
stringsdetail strings
void NXOpen::Die::LineupBuilder::SetFlowDirection ( const NXOpen::Vector3d flowDirection)

Sets the flow direction of the lineup
Created in NX7.5.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
flowDirectionflowdirection
void NXOpen::Die::LineupBuilder::SetOrigin ( const NXOpen::Point3d origin)

Sets the origin of the lineup
Created in NX4.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
originorigin
void NXOpen::Die::LineupBuilder::SetPressDirection ( const NXOpen::Vector3d pressDirection)

Sets the press direction of the lineup
Created in NX7.5.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
pressDirectionpressdirection
void NXOpen::Die::LineupBuilder::SetProductBodies ( const std::vector< NXOpen::Body * > &  objects)

Sets the product sheet bodies of the lineup
Created in NX4.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
objectsobjects

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.